ModifyDnatEntry
1. API Description
This API (ModifyDnatEntry) is used to modify a DNAT rule.
2. Input Parameters
The following request parameter list only provides API request parameters.
dnatEntryId
Yes
String
DNAT rule ID.
eipId
Yes
String
ID of the elastic IP associated with the DNAT rule to be modified.
It can be obtained by calling DescribeEips.
privateIp
Yes
String
The private IP address configured in the DNAT rule.
listenerPort
No
String
The public port or port range forwarded by the DNAT rule.
Valid values: 1–65535.
internalPort
No
String
The private port or port range forwarded by the DNAT rule.
Valid values: 1–65535.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Modify a DNAT entry.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDnatEntry
<Common Request Params>
Request:
{
"dnatEntryId": "<dnatEntryId>",
"eipId": "<eipId>",
"privateIp": "10.0.0.2",
"protocol": "TCP",
"listenerPort": "1-30",
"internalPort": "1-30"
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_DNAT_ENTRY_NOT_FOUND
DNAT entry does not exist.
404
INVALID_NAT_NOT_FOUND
NAT gateway does not exist.
400
OPERATION_DENIED_NAT_STATUS
NAT gateway state is not RUNNING.
404
INVALID_EIP_NOT_FOUND
Elastic IP does not exist.
400
OPERATION_DENIED_EIP_NOT_ASSIGNED
Elastic IP is not bound.
400
OPERATION_DENIED_EIP_NOT_ASSIGN_NAT
The elastic IP isn't assigned to the NAT gateway.
Last updated